/////////////////////////////////////////////////////////////////////
//
// ZTFrameTable.java :
//
//  JTable that displays ZT Frames in a grid.
//
/////////////////////////////////////////////////////////////////////
//
// $Revision: $
// $Date: $
//
/////////////////////////////////////////////////////////////////////
package com.madsci.zoot;

import java.awt.*;
import javax.swing.*;
import javax.swing.table.*;

public class ZTFrameTable extends JTable
{
	public ZTFrameTable()
	{
		setShowGrid(true);
		setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		setCellSelectionEnabled(true);
		setIntercellSpacing(new Dimension(5, 5));
		setTableHeader(null);
		setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
		setDefaultEditor(ImageIcon.class, new DumbCellEditor());
	}

	//
	// Stupid cell editor that does nothing
	//
	class DumbCellEditor extends AbstractCellEditor
	        implements TableCellEditor
	{
		public boolean isCellEditable() { return false; }
		public Object getCellEditorValue() { return this; }
		public Component getTableCellEditorComponent(JTable j, Object o, boolean b, int r, int c) { return null; }
	}
}

/********************************************************************
 *
 * $Log: $
 *
********************************************************************/
