/////////////////////////////////////////////////////////////////////
//
// ZootUtils.java :
//
//  Various helper methods.
//
/////////////////////////////////////////////////////////////////////
//
// $Revision: 3 $
// $Date: 7/30/03 12:39p $
//
/////////////////////////////////////////////////////////////////////

package com.madsci.zoot;

public class ZootUtils
{
	public static boolean isTextFile(String sFile)
	{
		return (sFile.toString().lastIndexOf(".ai") != -1 ||
		        sFile.toString().lastIndexOf(".ani") != -1 ||
		        sFile.toString().lastIndexOf(".cfg") != -1 ||
		        sFile.toString().lastIndexOf(".ucs") != -1 ||
		        sFile.toString().lastIndexOf(".uca") != -1 ||
		        sFile.toString().lastIndexOf(".txt") != -1 ||
		        sFile.toString().lastIndexOf(".scn") != -1);
	}
}

/********************************************************************
 *
 * $Log: /Zoot/src/com/madsci/zoot/ZootUtils.java $
 * 
 * 3     7/30/03 12:39p Fpoulin
 * Added .uca to text file extensions.
 *
 * 2     7/16/03 8:25p Fpoulin
 * Added a couple of text file extensions.
 *
 * 1     7/13/03 12:12p Fpoulin
 * Added ability to preview text files.
 *
********************************************************************/
